Sync with Waxpeer session to auto-fill API key

Buy items in bulk and send to one tradelink

POST/v1/buy

Buy up to multiple items in one request. Each item is purchased independently — check the per-item success in the response array. Prices are integer units (USD * 1000), same as /v1/buy-one-p2p. We recommend adding a project_id per item so you can track trades with the /check-many-project-id GET method in case of a timeout.

Prices are integers. 1000 = $1.00 USD.

Parameters

NameLocationTypeDescription
api
required
querystring

Request body

NameLocationTypeDescription
tradelink
optional
bodystring

Steam trade link the items are sent to

all
optional
bodyboolean

Fail the whole request unless every item can be bought

items
required
bodyarray<object>
item_id
optional
bodystring

Item id from our listings (omit when buying by name)

name
optional
bodystring

Market hash name (used when item_id is omitted)

price
required
bodyinteger

Price in integer units (USD * 1000)

project_id
optional
bodystring

Your own id to track the trade with /check-many-project-id

Example
{
  "tradelink": "string",
  "all": false,
  "items": [
    {
      "item_id": "string",
      "name": "string",
      "price": 0,
      "project_id": "string"
    }
  ]
}

Responses

200 Per-item purchase results

Response
{
  "success": false,
  "msg": "string",
  "items": [
    {
      "success": false,
      "id": 0,
      "item_id": "string",
      "name": "string",
      "price": 0,
      "internal_item_id": "string",
      "new_price": 0,
      "msg": "string",
      "error_msg": "string"
    }
  ]
}